[d-feet] build: Replace deprecated use of gnome-autogen.sh with recommended autogen.sh



commit 391ac5ecf209031b6230068e09369cf255525b7d
Author: Simon McVittie <smcv debian org>
Date:   Sat Nov 4 14:47:52 2017 +0000

    build: Replace deprecated use of gnome-autogen.sh with recommended autogen.sh
    
    Taken from: https://wiki.gnome.org/Projects/GnomeCommon/Migration
    
    Signed-off-by: Simon McVittie <smcv debian org>
    Bug-Debian: https://bugs.debian.org/829972
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789906

 autogen.sh |   46 +++++++++++++++++++++++++++++++++-------------
 1 files changed, 33 insertions(+), 13 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 39ed4f7..b351932 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,20 +1,40 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
 
-PKG_NAME="d-feet"
+cd $srcdir
 
-(test -f $srcdir/src/dfeet/application.py) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-        echo " top-level $PKG_NAME directory"
-            exit 1
-    }
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+        exit 1
+}
 
-    which gnome-autogen.sh || {
-        echo "You need to install gnome-common."
-            exit 1
-    }
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
 
-    . gnome-autogen.sh
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then
+                exit 0
+        else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]